RDKit: RDKit::Canon::SpecialSymmetryAtomCompareFunctor Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::Canon::SpecialSymmetryAtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions
| SpecialSymmetryAtomCompareFunctor ()
| SpecialSymmetryAtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=nullptr, const boost::dynamic_bitset<> *bondsInPlay=nullptr)
int | operator() (int i, int j) const

## Public Attributes
Canon::canon_atom * | dp_atoms {nullptr}
const ROMol * | dp_mol {nullptr}
const boost::dynamic_bitset * | dp_atomsInPlay {nullptr}
const boost::dynamic_bitset * | dp_bondsInPlay {nullptr}

## Detailed Description

Definition at line 194 of file new_canon.h.

## Constructor & Destructor Documentation

## ◆ SpecialSymmetryAtomCompareFunctor() [1/2]

RDKit::Canon::SpecialSymmetryAtomCompareFunctor::SpecialSymmetryAtomCompareFunctor | ( |  | ) |
| inline

Definition at line 201 of file new_canon.h.

## ◆ SpecialSymmetryAtomCompareFunctor() [2/2]

RDKit::Canon::SpecialSymmetryAtomCompareFunctor::SpecialSymmetryAtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = nullptr,
|  | const boost::dynamic_bitset<> * | bondsInPlay = nullptr )
| inline

Definition at line 202 of file new_canon.h.

References dp_atoms, dp_atomsInPlay, dp_bondsInPlay, and dp_mol.

## Member Function Documentation

## ◆ operator()()

int RDKit::Canon::SpecialSymmetryAtomCompareFunctor::operator() | ( | int | i,
|  | int | j ) const
| inline

Definition at line 210 of file new_canon.h.

References RDKit::Canon::bondholder::compare(), dp_atoms, dp_atomsInPlay, dp_mol, PRECONDITION, and RDKit::Canon::updateAtomNeighborIndex().

## Member Data Documentation

## ◆ dp_atoms

Canon::canon_atom* RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_atoms {nullptr}

Definition at line 196 of file new_canon.h.

Referenced by operator()(), and SpecialSymmetryAtomCompareFunctor().

## ◆ dp_atomsInPlay

const boost::dynamic_bitset* RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_atomsInPlay {nullptr}

Definition at line 198 of file new_canon.h.

Referenced by operator()(), and SpecialSymmetryAtomCompareFunctor().

## ◆ dp_bondsInPlay

const boost::dynamic_bitset * RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_bondsInPlay {nullptr}

Definition at line 199 of file new_canon.h.

Referenced by SpecialSymmetryAtomCompareFunctor().

## ◆ dp_mol

const ROMol* RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_mol {nullptr}

Definition at line 197 of file new_canon.h.

Referenced by operator()(), and SpecialSymmetryAtomCompareFunctor().

The documentation for this class was generated from the following file:

- new_canon.h